
package net.northking.cctp.upperComputer.deviceManager.entity;

import com.google.gson.annotations.SerializedName;

@SuppressWarnings("unused")
public class KioskMode {

    @SerializedName("KioskModeFullChargeVoltage")
    private Long kioskModeFullChargeVoltage;
    @SerializedName("KioskModeHighSocDays")
    private Long kioskModeHighSocDays;
    @SerializedName("KioskModeHighSocSeconds")
    private Long kioskModeHighSocSeconds;
    @SerializedName("KioskModeLastHighSocHours")
    private Long kioskModeLastHighSocHours;
    @SerializedName("KioskModeMode")
    private Long kioskModeMode;

    public Long getKioskModeFullChargeVoltage() {
        return kioskModeFullChargeVoltage;
    }

    public void setKioskModeFullChargeVoltage(Long kioskModeFullChargeVoltage) {
        this.kioskModeFullChargeVoltage = kioskModeFullChargeVoltage;
    }

    public Long getKioskModeHighSocDays() {
        return kioskModeHighSocDays;
    }

    public void setKioskModeHighSocDays(Long kioskModeHighSocDays) {
        this.kioskModeHighSocDays = kioskModeHighSocDays;
    }

    public Long getKioskModeHighSocSeconds() {
        return kioskModeHighSocSeconds;
    }

    public void setKioskModeHighSocSeconds(Long kioskModeHighSocSeconds) {
        this.kioskModeHighSocSeconds = kioskModeHighSocSeconds;
    }

    public Long getKioskModeLastHighSocHours() {
        return kioskModeLastHighSocHours;
    }

    public void setKioskModeLastHighSocHours(Long kioskModeLastHighSocHours) {
        this.kioskModeLastHighSocHours = kioskModeLastHighSocHours;
    }

    public Long getKioskModeMode() {
        return kioskModeMode;
    }

    public void setKioskModeMode(Long kioskModeMode) {
        this.kioskModeMode = kioskModeMode;
    }

}
